#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Predesys - Predesys Server
# Version: 0.1.0
# Author: Jose Antonio Jimenez Carmona <josantjim@gmail.com>
# License: LGPL 3.0 (see "license" file)

import sys
sys.dont_write_bytecode = True
import os
import os.path
DIR = os.path.abspath(os.path.dirname(os.path.realpath(__file__)))
sys.path.append(os.path.join(DIR, "../core"))
import exceptions
import usage
import tools
import services
    
def manageArgs(argc, argv):
    if argc == 3 and sys.argv[2] == "list":
        print_service_type_list()
    elif argc == 4 and sys.argv[2] == "data":
        print_service_type_data(sys.argv[3])
    else:
        print usage.get_usage()
        
def print_service_type_list():
    serviceTypeList = services.get_service_types()
    for serviceTypeId in serviceTypeList:
        print serviceTypeId
        
def print_service_type_data(id):
    serviceTypeData = services.get_service_type_data(id)
    print "ID: %s" % serviceTypeData.get_id()
            
    name = serviceTypeData.get_name()
    if name == None or name == "": name = "<None>"
    print "NAME: %s" % name
