#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Predesys - Predesys Server
# Version: 0.1.0
# Author: Jose Antonio Jimenez Carmona <josantjim@gmail.com>
# License: LGPL 3.0 (see "license" file)

import sys
sys.dont_write_bytecode = True
import os
import hashlib
import data
import users

def check_root():
    # Check user
    id = os.getuid()
    if id != 0:
        exit("Need root privileges to run")
    
def check_user_identity(userId, userPassword):
    if userId == None or (type(userId) != str and type(userId) != unicode) or userId == "":
        raise coreexceptions.ValueNotValidException("'userId' must be a not null and not empty string")
    if userPassword == None or (type(userPassword) != str and type(userPassword) != unicode) or userPassword == "":
        raise coreexceptions.ValueNotValidException("'userPassword' must be a not null and not empty string")
        
    # To prevent SQL injection
    if userId != filter_arg(userId) or userPassword != filter_arg(userPassword): return False
    
    try:
        dbConnection = data.open_connection()
        statement = "select * from users where id='%s' and passwd='%s';" % (userId, get_md5_sum(userPassword))
        result = data.execute(dbConnection, statement)
        row = result.fetchone()
        result.close()
        data.close_connection(dbConnection)
    except:
        raise
    
    return (row != None)
    
def check_service_execution_permission(userId, serviceId):
    if userId == None or (type(userId) != str and type(userId) != unicode) or userId == "":
        raise coreexceptions.ValueNotValidException("'userId' must be a not null and not empty string")
    if serviceId == None or (type(serviceId) != str and type(serviceId) != unicode) or serviceId == "":
        raise coreexceptions.ValueNotValidException("'serviceId' must be a not null and not empty string")
        
    # To prevent SQL injection
    if userId != filter_arg(userId) or serviceId != filter_arg(serviceId): return False
        
    if not users.is_user(userId): return False
    else: userGroupId = users.get_user_data(userId).get_group().get_id()
    if userGroupId == None or userGroupId == "": return False
        
    try:
        dbConnection = data.open_connection()
        statement = "select * from service_permissions where service_id='%s' and user_group_id='%s';" % (serviceId, userGroupId)
        result = data.execute(dbConnection, statement)
        row = result.fetchone()
        result.close()
        data.close_connection(dbConnection)
    except:
        raise
    
    return (row != None)

def get_md5_sum(text):
    if text == None or type(text) != str: raise coreexceptions.ValueNotValidException("'text' must be a not null string")
    return hashlib.md5(text).hexdigest()
    
# To prevent SQL injection  
def filter_arg(text):
    if text == None or (type(text) != str and type(text) != unicode): raise coreexceptions.ValueNotValidException("'text' must be a not null string")
    return text.replace("'","").replace("\"", "")
