#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Predesys - Predesys Server
# Version: 0.1.0
# Author: Jose Antonio Jimenez Carmona <josantjim@gmail.com>
# License: LGPL 3.0 (see "license" file)

import sys
sys.dont_write_bytecode = True
import os
import os.path
DIR = os.path.abspath(os.path.dirname(os.path.realpath(__file__)))
sys.path.append(os.path.join(DIR, "../data"))
import security
import coreexceptions
import configuration
import data

def get_core_path():
    return DIR
    
def install_db():
    security.check_root()
    
    config = configuration.load_configuration()
    dbType = config.get_db_type()

    if dbType == None or dbType == "": raise coreexceptions.DataBaseException("Data base settings not set")
    
    sqlFile = os.path.join("../data", "predesys-server-data-%s.sql" % dbType)
    
    try:
        f = open(sqlFile, "r")
        dbSql = f.read()
    except:
        raise Exception("Error loading DB SQL file")
        
    try:
        dbConnection = data.open_connection()
        result = data.execute(dbConnection, dbSql)
        result.close()        
        data.close_connection(dbConnection)
    except:
        raise
