#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Predesys - Predesys Server
# Version: 0.1.0
# Author: Jose Antonio Jimenez Carmona <josantjim@gmail.com>
# License: LGPL 3.0 (see "license" file)

import sys
sys.dont_write_bytecode = True
import os
import os.path
DIR = os.path.abspath(os.path.dirname(os.path.realpath(__file__)))
sys.path.append(os.path.join(DIR, "../core"))
import time
import addresslog
import services

### SERVICE TEMPLATE ###
def get_service_id():
    return "btradar"
    
def get_version():
    return "0.1.0"
    
def get_service_name():
    return "Bluetooth Radar"
    
def get_author():
    return ""
    
def run(userId, args):
    if userId == None or (type(userId) != str and type(userId) != unicode) or userId == "": raise coreexceptions.ValueNotValidException("'userId' must be a not null and not empty string")
    if args == None or type(args) != list: raise Exception("'args' must be a string list")
    
    result = ""
    addresslog.update_log_addresses(args, userId)
    
    # Automatic user services trigger
    autoUserServices = services.get_enabled_services_by_type("user-auto")
    
    for serviceId in autoUserServices:
        try:
            serviceResult = services.run_service(serviceId, args)
            if serviceResult != None: result += serviceResult
        except:
            # ToDo: Log error
            pass
            
    return result
